## WebKitDOMHTMLTableRowElement

WebKitDOMHTMLTableRowElement

## Functions

WebKitDOMHTMLElement * | webkit_dom_html_table_row_element_insert_cell ()
void | webkit_dom_html_table_row_element_delete_cell ()
glong | webkit_dom_html_table_row_element_get_row_index ()
glong | webkit_dom_html_table_row_element_get_section_row_index ()
WebKitDOMHTMLCollection * | webkit_dom_html_table_row_element_get_cells ()
gchar * | webkit_dom_html_table_row_element_get_align ()
void | webkit_dom_html_table_row_element_set_align ()
gchar * | webkit_dom_html_table_row_element_get_bg_color ()
void | webkit_dom_html_table_row_element_set_bg_color ()
gchar * | webkit_dom_html_table_row_element_get_ch ()
void | webkit_dom_html_table_row_element_set_ch ()
gchar * | webkit_dom_html_table_row_element_get_ch_off ()
void | webkit_dom_html_table_row_element_set_ch_off ()
gchar * | webkit_dom_html_table_row_element_get_v_align ()
void | webkit_dom_html_table_row_element_set_v_align ()

## Properties

gchar * | align | Read / Write
gchar * | bg-color | Read / Write
WebKitDOMHTMLCollection * | cells | Read
gchar * | ch | Read / Write
gchar * | ch-off | Read / Write
glong | row-index | Read
glong | section-row-index | Read
gchar * | v-align | Read / Write

## Types and Values

| WebKitDOMHTMLTableRowElement

## Object Hierarchy

        GObject
        ╰── WebKitDOMObject
            ╰── WebKitDOMNode
                ╰── WebKitDOMElement
                    ╰── WebKitDOMHTMLElement
                        ╰── WebKitDOMHTMLTableRowElement

## Implemented Interfaces

WebKitDOMHTMLTableRowElement implements WebKitDOMEventTarget.

## Description

## Functions

### webkit_dom_html_table_row_element_insert_cell ()

    WebKitDOMHTMLElement *
    webkit_dom_html_table_row_element_insert_cell
                                   (WebKitDOMHTMLTableRowElement *self,
                                    glong index,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLTableRowElement |
index | A glong |
error | GError |

#### Returns

A WebKitDOMHTMLElement.

[transfer none]

### webkit_dom_html_table_row_element_delete_cell ()

    void
    webkit_dom_html_table_row_element_delete_cell
                                   (WebKitDOMHTMLTableRowElement *self,
                                    glong index,
                                    GError **error);

#### Parameters

self | A WebKitDOMHTMLTableRowElement |
index | A glong |
error | GError |

### webkit_dom_html_table_row_element_get_row_index ()

    glong
    webkit_dom_html_table_row_element_get_row_index
                                   (WebKitDOMHTMLTableRowElement *self);

#### Parameters

self | A WebKitDOMHTMLTableRowElement |

#### Returns

A glong

### webkit_dom_html_table_row_element_get_section_row_index ()

    glong
    webkit_dom_html_table_row_element_get_section_row_index
                                   (WebKitDOMHTMLTableRowElement *self);

#### Parameters

self | A WebKitDOMHTMLTableRowElement |

#### Returns

A glong

### webkit_dom_html_table_row_element_get_cells ()

    WebKitDOMHTMLCollection *
    webkit_dom_html_table_row_element_get_cells
                                   (WebKitDOMHTMLTableRowElement *self);

#### Parameters

self | A WebKitDOMHTMLTableRowElement |

#### Returns

A WebKitDOMHTMLCollection.

[transfer full]

### webkit_dom_html_table_row_element_get_align ()

    gchar *
    webkit_dom_html_table_row_element_get_align
                                   (WebKitDOMHTMLTableRowElement *self);

#### Parameters

self | A WebKitDOMHTMLTableRowElement |

#### Returns

A gchar

### webkit_dom_html_table_row_element_set_align ()

    void
    webkit_dom_html_table_row_element_set_align
                                   (WebKitDOMHTMLTableRowElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableRowElement |
value | A gchar |

### webkit_dom_html_table_row_element_get_bg_color ()

    gchar *
    webkit_dom_html_table_row_element_get_bg_color
                                   (WebKitDOMHTMLTableRowElement *self);

#### Parameters

self | A WebKitDOMHTMLTableRowElement |

#### Returns

A gchar

### webkit_dom_html_table_row_element_set_bg_color ()

    void
    webkit_dom_html_table_row_element_set_bg_color
                                   (WebKitDOMHTMLTableRowElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableRowElement |
value | A gchar |

### webkit_dom_html_table_row_element_get_ch ()

    gchar *
    webkit_dom_html_table_row_element_get_ch
                                   (WebKitDOMHTMLTableRowElement *self);

#### Parameters

self | A WebKitDOMHTMLTableRowElement |

#### Returns

A gchar

### webkit_dom_html_table_row_element_set_ch ()

    void
    webkit_dom_html_table_row_element_set_ch
                                   (WebKitDOMHTMLTableRowElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableRowElement |
value | A gchar |

### webkit_dom_html_table_row_element_get_ch_off ()

    gchar *
    webkit_dom_html_table_row_element_get_ch_off
                                   (WebKitDOMHTMLTableRowElement *self);

#### Parameters

self | A WebKitDOMHTMLTableRowElement |

#### Returns

A gchar

### webkit_dom_html_table_row_element_set_ch_off ()

    void
    webkit_dom_html_table_row_element_set_ch_off
                                   (WebKitDOMHTMLTableRowElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableRowElement |
value | A gchar |

### webkit_dom_html_table_row_element_get_v_align ()

    gchar *
    webkit_dom_html_table_row_element_get_v_align
                                   (WebKitDOMHTMLTableRowElement *self);

#### Parameters

self | A WebKitDOMHTMLTableRowElement |

#### Returns

A gchar

### webkit_dom_html_table_row_element_set_v_align ()

    void
    webkit_dom_html_table_row_element_set_v_align
                                   (WebKitDOMHTMLTableRowElement *self,
                                    const gchar *value);

#### Parameters

self | A WebKitDOMHTMLTableRowElement |
value | A gchar |

## Types and Values

### WebKitDOMHTMLTableRowElement

    typedef struct _WebKitDOMHTMLTableRowElement WebKitDOMHTMLTableRowElement;

## Property Details

### The `“align”` property

      “align”                    gchar *

read-write gchar* HTMLTableRowElement:align.

Flags: Read / Write

Default value: ""

### The `“bg-color”` property

      “bg-color”                 gchar *

read-write gchar* HTMLTableRowElement:bg-color.

Flags: Read / Write

Default value: ""

### The `“cells”` property

      “cells”                    WebKitDOMHTMLCollection *

read-only WebKitDOMHTMLCollection* HTMLTableRowElement:cells.

Flags: Read

### The `“ch”` property

      “ch”                       gchar *

read-write gchar* HTMLTableRowElement:ch.

Flags: Read / Write

Default value: ""

### The `“ch-off”` property

      “ch-off”                   gchar *

read-write gchar* HTMLTableRowElement:ch-off.

Flags: Read / Write

Default value: ""

### The `“row-index”` property

      “row-index”                glong

read-only glong HTMLTableRowElement:row-index.

Flags: Read

Default value: 0

### The `“section-row-index”` property

      “section-row-index”        glong

read-only glong HTMLTableRowElement:section-row-index.

Flags: Read

Default value: 0

### The `“v-align”` property

      “v-align”                  gchar *

read-write gchar* HTMLTableRowElement:v-align.

Flags: Read / Write

Default value: ""